Skip to main content
GET
/
api
/
v1
/
brands
/
{brandId}
/
competitors
/
{competitorId}
Get Competitor
curl --request GET \
  --url https://api.example.com/api/v1/brands/{brandId}/competitors/{competitorId}

Documentation Index

Fetch the complete documentation index at: https://docs.qwairy.co/llms.txt

Use this file to discover all available pages before exploring further.

Returns detailed competitor information with breakdowns by provider and topic.

Path Parameters

brandId
string
required
The unique identifier of the brand
competitorId
string
required
The unique identifier of the competitor

Query Parameters

period
number
Number of days to include. If not specified, returns all data.
startDate
string
Start date (ISO 8601 format)
endDate
string
End date (ISO 8601 format)
provider
string
Filter by AI provider. Supports comma-separated multi-select (e.g., chatgpt,claude).
topic
string
Filter by topic ID. Supports comma-separated multi-select (e.g., id1,id2).
tag
string
Filter by tag ID. Supports comma-separated multi-select (e.g., id1,id2).

Example Response

{
  "success": true,
  "competitor": {
    "id": "cmp1",
    "name": "My Brand",
    "domain": "mybrand.com",
    "relationship": "SELF",
    "totalMentions": 104,
    "shareOfVoice": 8.13,
    "avgPosition": 2.1,
    "avgSentiment": 78.1,
    "byProvider": [
      { "provider": "ChatGPT", "mentions": 62, "avgPosition": 2.0 },
      { "provider": "Perplexity", "mentions": 42, "avgPosition": 2.3 }
    ],
    "byTopic": [
      { "topic": "Product Reviews", "mentions": 45 },
      { "topic": "Comparisons", "mentions": 38 }
    ]
  }
}